Bug 123997 - Build fails on efl port with --no-netscape-plugin-api configuration
Summary: Build fails on efl port with --no-netscape-plugin-api configuration
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit EFL (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-07 09:05 PST by Tamas Gergely
Modified: 2013-12-03 04:39 PST (History)
4 users (show)

See Also:


Attachments
End of the build log. (10.61 KB, text/plain)
2013-11-07 09:11 PST, Tamas Gergely
no flags Details
Corrects --efl --no-netscape-plugin-api build failure. (1.89 KB, patch)
2013-11-12 07:43 PST, Tamas Gergely
no flags Details | Formatted Diff | Diff
Fixes --efl --no-netscape-plugin-api build failure. (3.16 KB, patch)
2013-11-18 06:07 PST, Tamas Gergely
no flags Details | Formatted Diff | Diff
Updated patch. (1.86 KB, patch)
2013-12-02 02:04 PST, Tamas Gergely
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tamas Gergely 2013-11-07 09:05:17 PST
When the build-webkit script is called with --efl --no-netscape-api-plugin options, ld raises some 'undefined reference to' errors.
Comment 1 Tamas Gergely 2013-11-07 09:11:39 PST
Created attachment 216307 [details]
End of the build log.

When the netscape_plugin_api is turned off, the efl build uses an alternative mock implementation that misses to implement these methods, which are called from the PluginDatabase.
Comment 2 Tamas Gergely 2013-11-12 07:43:10 PST
Created attachment 216674 [details]
Corrects --efl --no-netscape-plugin-api build failure.
Comment 3 Peter Gal 2013-11-15 01:22:25 PST
Comment on attachment 216674 [details]
Corrects --efl --no-netscape-plugin-api build failure.

View in context: https://bugs.webkit.org/attachment.cgi?id=216674&action=review

> Source/WebCore/plugins/PluginPackageNone.cpp:52
> +PassRefPtr<PluginPackage> PluginPackage::createPackage(const String& path, const time_t& lastModified)

The 'path' and 'lastModified' will result unused parameter warnings (IMHO), we should remove those names.

> Source/WebCore/plugins/PluginPackageNone.cpp:62
> +bool PluginPackage::equal(const PluginPackage& a, const PluginPackage& b)

Ditto: Unused parameter warnings.
Comment 4 Tamas Gergely 2013-11-18 06:07:02 PST
Created attachment 217193 [details]
Fixes --efl --no-netscape-plugin-api build failure.

Due to some recent commits, it failed at another point too. Both are corrected now.
Comment 5 Peter Gal 2013-11-21 00:54:09 PST
LGTM
Comment 6 Peter Gal 2013-11-29 05:36:38 PST
Comment on attachment 217193 [details]
Fixes --efl --no-netscape-plugin-api build failure.

View in context: https://bugs.webkit.org/attachment.cgi?id=217193&action=review

> Source/WebKit2/UIProcess/API/C/WKPluginSiteDataManager.cpp:44
> +    return toAPI(API::Object::Type::Null);

It seems someone else already committed this fix into the trunk.
Comment 7 Tamas Gergely 2013-12-01 23:57:18 PST
Fixed in r159788 (bug 124884).
Comment 8 Tamas Gergely 2013-12-02 02:04:26 PST
Created attachment 218153 [details]
Updated patch.
Comment 9 Zoltan Herczeg 2013-12-03 04:37:12 PST
Comment on attachment 218153 [details]
Updated patch.

r=me
Comment 10 WebKit Commit Bot 2013-12-03 04:39:41 PST
Comment on attachment 218153 [details]
Updated patch.

Clearing flags on attachment: 218153

Committed r159999: <http://trac.webkit.org/changeset/159999>
Comment 11 WebKit Commit Bot 2013-12-03 04:39:44 PST
All reviewed patches have been landed.  Closing bug.